Package org.apache.sling.resourceresolver.impl.providers.tree

# Class Node<T>

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.tree.Node<T>

public class Node<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`Node()`

## Method Summary

Modifier and Type
Method
Description
`Node<T>`
`getChild(String name)`
`Map<String,Node<T>>`
`getChildren()`
`T`
`getValue()`
`boolean`
`hasChild(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Node

public Node()

## Method Details

### hasChild

public boolean hasChild(String name)

### getChild

public Node<T> getChild(String name)

### getValue

public T getValue()

### getChildren

public Map<String,Node<T>> getChildren()

### toString

public String toString()

Overrides:
  `toString` in class `Object`